# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Tiny.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Listing.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Net/FTP.pm) perl(Path/Iterator/Rule.pm) perl(Test/Mock/Net/FTP.pm) perl(Test/More.pm) perl(Test2/Bundle/Extended.pm) perl(experimental.pm) perl(namespace/clean.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_name Net-FTP-Path-Iter
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Iterative, recursive, FTP file finder
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DJ/DJERIUS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Net::FTP::Path::Iter is a subclass of the Path::Iterator::Rule manpage which
iterates over an FTP site rather than a local filesystem.

See the documentation the Path::Iterator::Rule manpage for how to filter and
traverse paths.  When Net::FTP::Path::Iter passes a path to a callback or
returns one from an iterator, it will be in the form of a
the Net::FTP::Path::Iter::Entry manpage object.

Net::FTP::Path::Iter uses the Net::FTP manpage to connect to the FTP site.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/N*

%changelog
* Thu Aug 17 2017 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

